hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Xuefu Zhang <xzh...@cloudera.com>
Subject Re: hiveserver2 0.12 and 0.13 incompatible?
Date Thu, 10 Jul 2014 22:52:32 GMT
Yeah. It's expected that 13 client is not able to talk to the older sever.
However, the other direction is fine. That is, old 12 client should be able
to talk to 13 server.

--Xuefu


On Thu, Jul 10, 2014 at 3:09 PM, Edward Capriolo <edlinuxguru@gmail.com>
wrote:

> 2014-07-10 22:00:03 ERROR HiveConnection:425 - Error opening session
> org.apache.thrift.TApplicationException: Required field 'client_protocol'
> is unset! Struct:TOpenSessionReq(client_protocol:null)
>     at
> org.apache.thrift.TApplicationException.read(TApplicationException.java:108)
>
> This is hive 13 jdbc trying to talk to a cdh5 HiveServer2. I realize this
> is bit backwards... Does 12 client talk to 13 ok?
>
>
>
>

Mime
View raw message